vaadin-ckeditor Missing .directivesclass-map export in lit-html package

I trying to use the vaadin-ckeditor (version 2.3.4)in my app, and now when I try to start my app I got the error:

----------------- Frontend compiled successfully. -----------------

[dev-server-output] INFO com.vaadin.base.devserver.DevServerOutputTracker -
[ForkJoinPool.commonPool-worker-23] INFO com.vaadin.base.devserver.AbstractDevServerRunner - Started Vite. Time: 7486ms
[dev-server-output] INFO com.vaadin.base.devserver.DevServerOutputTracker - ? Local: http://127.0.0.1:51017/VAADIN/
[dev-server-output] INFO com.vaadin.base.devserver.DevServerOutputTracker - X [ERROR] [plugin vite:dep-pre-bundle] Missing “./directives/class-map” export in “lit-html” package
[dev-server-output] INFO com.vaadin.base.devserver.DevServerOutputTracker -
[dev-server-output] INFO com.vaadin.base.devserver.DevServerOutputTracker - node_modules/@vaadin/flow-frontend/vaadin-ckeditor.js:2:23:
[dev-server-output] INFO com.vaadin.base.devserver.DevServerOutputTracker - 2 ? import {classMap} from ‘lit-html/directives/class-map’;
[dev-server-output] INFO com.vaadin.base.devserver.DevServerOutputTracker - ? ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
[dev-server-output] INFO com.vaadin.base.devserver.DevServerOutputTracker -
[dev-server-output] INFO com.vaadin.base.devserver.DevServerOutputTracker - This error came from the “onResolve” callback registered here:
[dev-server-output] INFO com.vaadin.base.devserver.DevServerOutputTracker -
[dev-server-output] INFO com.vaadin.base.devserver.DevServerOutputTracker - node_modules/esbuild/lib/main.js:1251:20:
[dev-server-output] INFO com.vaadin.base.de

— more in file…

anyone know why ?

tks
error.txt (12.8 KB)

The add-on is not compatible with your used Vaadin Version. The used lit version of the add-on is too old.